﻿#ifndef OTHER_H_INCLUDED
#define OTHER_H_INCLUDED

#include <string>
#include <map>
#include <set>
#include <vector>
#include <fstream>

#include "boost/algorithm/string.hpp"

#include "grammarCase.h"


namespace OT
{

	struct OtherWordRecord : public TranslationUnitSetMix, public WordHolder
	{
		std::wstring type;

		OtherWordRecord();

		OtherWordRecord(std::wstring line);

	};

	extern std::vector<OtherWordRecord> OtherWordRecordArr;

	std::set<OtherWordRecord> RecognizeWord(std::wstring word);


	void LoadWordSet(std::string filename);
}

#endif //OTHER_H_INCLUDED
